Package com.sap.ai.sdk.core.model

# Class BckndobjectStoreSecretStatusMetadata

java.lang.Object
com.sap.ai.sdk.core.model.BckndobjectStoreSecretStatusMetadata

public class BckndobjectStoreSecretStatusMetadata extends Object
Key value pairs of meta-data assigned to the secret when the secret was being created.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndobjectStoreSecretStatusMetadata()`
  Default constructor for BckndobjectStoreSecretStatusMetadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndobjectStoreSecretStatusMetadata`
  `create()`
  Create a new `BckndobjectStoreSecretStatusMetadata` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndobjectStoreSecretStatusMetadata`.
  `String`
  `getServingKubeflowOrgS3Endpoint()`
  Annotation for endpoint required by KF_Serving
  `String`
  `getServingKubeflowOrgS3Region()`
  Annotation for region required by KF_Serving
  `String`
  `getServingKubeflowOrgS3Usehttps()`
  0 and 1 values for setting the flag
  `String`
  `getServingKubeflowOrgS3Verifyssl()`
  0 and 1 values for setting the flag
  `String`
  `getStorageAiSapComBucket()`
  bucket assigned to the secret on creation
  `String`
  `getStorageAiSapComContainerUri()`
  container uri of azure storage
  `String`
  `getStorageAiSapComEndpoint()`
  Endpoint assigned to the secret on creation
  `String`
  `getStorageAiSapComHdfsNameNode()`
  name node of the HDFS file system
  `String`
  `getStorageAiSapComHeaders()`
  headers for webHDFS and other protocols
  `String`
  `getStorageAiSapComPathPrefix()`
  Pathprefix type assigned to the secret on creation.
  `String`
  `getStorageAiSapComProjectId()`
  project id of google cloud platform
  `String`
  `getStorageAiSapComRegion()`
  Region of the storage server
  `String`
  `getStorageAiSapComSubscriptionId()`
  subscription id
  `String`
  `getStorageAiSapComTenantId()`
  tenant id
  `String`
  `getStorageAiSapComType()`
  Storage type of the secret
  `int`
  `hashCode()`
  `BckndobjectStoreSecretStatusMetadata`
  `servingKubeflowOrgS3Endpoint(String servingKubeflowOrgS3Endpoint)`
  Set the servingKubeflowOrgS3Endpoint of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `servingKubeflowOrgS3Region(String servingKubeflowOrgS3Region)`
  Set the servingKubeflowOrgS3Region of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `servingKubeflowOrgS3Usehttps(String servingKubeflowOrgS3Usehttps)`
  Set the servingKubeflowOrgS3Usehttps of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `servingKubeflowOrgS3Verifyssl(String servingKubeflowOrgS3Verifyssl)`
  Set the servingKubeflowOrgS3Verifyssl of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setServingKubeflowOrgS3Endpoint(String servingKubeflowOrgS3Endpoint)`
  Set the servingKubeflowOrgS3Endpoint of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setServingKubeflowOrgS3Region(String servingKubeflowOrgS3Region)`
  Set the servingKubeflowOrgS3Region of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setServingKubeflowOrgS3Usehttps(String servingKubeflowOrgS3Usehttps)`
  Set the servingKubeflowOrgS3Usehttps of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setServingKubeflowOrgS3Verifyssl(String servingKubeflowOrgS3Verifyssl)`
  Set the servingKubeflowOrgS3Verifyssl of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComBucket(String storageAiSapComBucket)`
  Set the storageAiSapComBucket of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComContainerUri(String storageAiSapComContainerUri)`
  Set the storageAiSapComContainerUri of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComEndpoint(String storageAiSapComEndpoint)`
  Set the storageAiSapComEndpoint of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComHdfsNameNode(String storageAiSapComHdfsNameNode)`
  Set the storageAiSapComHdfsNameNode of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComHeaders(String storageAiSapComHeaders)`
  Set the storageAiSapComHeaders of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComPathPrefix(String storageAiSapComPathPrefix)`
  Set the storageAiSapComPathPrefix of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComProjectId(String storageAiSapComProjectId)`
  Set the storageAiSapComProjectId of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComRegion(String storageAiSapComRegion)`
  Set the storageAiSapComRegion of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComSubscriptionId(String storageAiSapComSubscriptionId)`
  Set the storageAiSapComSubscriptionId of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComTenantId(String storageAiSapComTenantId)`
  Set the storageAiSapComTenantId of this `BckndobjectStoreSecretStatusMetadata` instance.
  `void`
  `setStorageAiSapComType(String storageAiSapComType)`
  Set the storageAiSapComType of this `BckndobjectStoreSecretStatusMetadata` instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComBucket(String storageAiSapComBucket)`
  Set the storageAiSapComBucket of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComContainerUri(String storageAiSapComContainerUri)`
  Set the storageAiSapComContainerUri of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComEndpoint(String storageAiSapComEndpoint)`
  Set the storageAiSapComEndpoint of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComHdfsNameNode(String storageAiSapComHdfsNameNode)`
  Set the storageAiSapComHdfsNameNode of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComHeaders(String storageAiSapComHeaders)`
  Set the storageAiSapComHeaders of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComPathPrefix(String storageAiSapComPathPrefix)`
  Set the storageAiSapComPathPrefix of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComProjectId(String storageAiSapComProjectId)`
  Set the storageAiSapComProjectId of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComRegion(String storageAiSapComRegion)`
  Set the storageAiSapComRegion of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComSubscriptionId(String storageAiSapComSubscriptionId)`
  Set the storageAiSapComSubscriptionId of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComTenantId(String storageAiSapComTenantId)`
  Set the storageAiSapComTenantId of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `BckndobjectStoreSecretStatusMetadata`
  `storageAiSapComType(String storageAiSapComType)`
  Set the storageAiSapComType of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndobjectStoreSecretStatusMetadata` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndobjectStoreSecretStatusMetadata

    protected BckndobjectStoreSecretStatusMetadata()
    Default constructor for BckndobjectStoreSecretStatusMetadata.

- ## Method Details

  - ### servingKubeflowOrgS3Usehttps

    @Nonnull public BckndobjectStoreSecretStatusMetadata servingKubeflowOrgS3Usehttps(@Nullable String servingKubeflowOrgS3Usehttps)
    Set the servingKubeflowOrgS3Usehttps of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `servingKubeflowOrgS3Usehttps` - 0 and 1 values for setting the flag
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getServingKubeflowOrgS3Usehttps

    @Nonnull public String getServingKubeflowOrgS3Usehttps()
    0 and 1 values for setting the flag
    Returns:
      servingKubeflowOrgS3Usehttps The servingKubeflowOrgS3Usehttps of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setServingKubeflowOrgS3Usehttps

    public void setServingKubeflowOrgS3Usehttps(@Nullable String servingKubeflowOrgS3Usehttps)
    Set the servingKubeflowOrgS3Usehttps of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `servingKubeflowOrgS3Usehttps` - 0 and 1 values for setting the flag

  - ### servingKubeflowOrgS3Verifyssl

    @Nonnull public BckndobjectStoreSecretStatusMetadata servingKubeflowOrgS3Verifyssl(@Nullable String servingKubeflowOrgS3Verifyssl)
    Set the servingKubeflowOrgS3Verifyssl of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `servingKubeflowOrgS3Verifyssl` - 0 and 1 values for setting the flag
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getServingKubeflowOrgS3Verifyssl

    @Nonnull public String getServingKubeflowOrgS3Verifyssl()
    0 and 1 values for setting the flag
    Returns:
      servingKubeflowOrgS3Verifyssl The servingKubeflowOrgS3Verifyssl of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setServingKubeflowOrgS3Verifyssl

    public void setServingKubeflowOrgS3Verifyssl(@Nullable String servingKubeflowOrgS3Verifyssl)
    Set the servingKubeflowOrgS3Verifyssl of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `servingKubeflowOrgS3Verifyssl` - 0 and 1 values for setting the flag

  - ### servingKubeflowOrgS3Endpoint

    @Nonnull public BckndobjectStoreSecretStatusMetadata servingKubeflowOrgS3Endpoint(@Nullable String servingKubeflowOrgS3Endpoint)
    Set the servingKubeflowOrgS3Endpoint of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `servingKubeflowOrgS3Endpoint` - Annotation for endpoint required by KF_Serving
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getServingKubeflowOrgS3Endpoint

    @Nonnull public String getServingKubeflowOrgS3Endpoint()
    Annotation for endpoint required by KF_Serving
    Returns:
      servingKubeflowOrgS3Endpoint The servingKubeflowOrgS3Endpoint of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setServingKubeflowOrgS3Endpoint

    public void setServingKubeflowOrgS3Endpoint(@Nullable String servingKubeflowOrgS3Endpoint)
    Set the servingKubeflowOrgS3Endpoint of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `servingKubeflowOrgS3Endpoint` - Annotation for endpoint required by KF_Serving

  - ### servingKubeflowOrgS3Region

    @Nonnull public BckndobjectStoreSecretStatusMetadata servingKubeflowOrgS3Region(@Nullable String servingKubeflowOrgS3Region)
    Set the servingKubeflowOrgS3Region of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `servingKubeflowOrgS3Region` - Annotation for region required by KF_Serving
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getServingKubeflowOrgS3Region

    @Nonnull public String getServingKubeflowOrgS3Region()
    Annotation for region required by KF_Serving
    Returns:
      servingKubeflowOrgS3Region The servingKubeflowOrgS3Region of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setServingKubeflowOrgS3Region

    public void setServingKubeflowOrgS3Region(@Nullable String servingKubeflowOrgS3Region)
    Set the servingKubeflowOrgS3Region of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `servingKubeflowOrgS3Region` - Annotation for region required by KF_Serving

  - ### storageAiSapComType

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComType(@Nullable String storageAiSapComType)
    Set the storageAiSapComType of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComType` - Storage type of the secret
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComType

    @Nonnull public String getStorageAiSapComType()
    Storage type of the secret
    Returns:
      storageAiSapComType The storageAiSapComType of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComType

    public void setStorageAiSapComType(@Nullable String storageAiSapComType)
    Set the storageAiSapComType of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComType` - Storage type of the secret

  - ### storageAiSapComBucket

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComBucket(@Nullable String storageAiSapComBucket)
    Set the storageAiSapComBucket of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComBucket` - bucket assigned to the secret on creation
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComBucket

    @Nonnull public String getStorageAiSapComBucket()
    bucket assigned to the secret on creation
    Returns:
      storageAiSapComBucket The storageAiSapComBucket of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComBucket

    public void setStorageAiSapComBucket(@Nullable String storageAiSapComBucket)
    Set the storageAiSapComBucket of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComBucket` - bucket assigned to the secret on creation

  - ### storageAiSapComEndpoint

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComEndpoint(@Nullable String storageAiSapComEndpoint)
    Set the storageAiSapComEndpoint of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComEndpoint` - Endpoint assigned to the secret on creation
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComEndpoint

    @Nonnull public String getStorageAiSapComEndpoint()
    Endpoint assigned to the secret on creation
    Returns:
      storageAiSapComEndpoint The storageAiSapComEndpoint of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComEndpoint

    public void setStorageAiSapComEndpoint(@Nullable String storageAiSapComEndpoint)
    Set the storageAiSapComEndpoint of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComEndpoint` - Endpoint assigned to the secret on creation

  - ### storageAiSapComRegion

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComRegion(@Nullable String storageAiSapComRegion)
    Set the storageAiSapComRegion of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComRegion` - Region of the storage server
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComRegion

    @Nonnull public String getStorageAiSapComRegion()
    Region of the storage server
    Returns:
      storageAiSapComRegion The storageAiSapComRegion of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComRegion

    public void setStorageAiSapComRegion(@Nullable String storageAiSapComRegion)
    Set the storageAiSapComRegion of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComRegion` - Region of the storage server

  - ### storageAiSapComPathPrefix

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComPathPrefix(@Nullable String storageAiSapComPathPrefix)
    Set the storageAiSapComPathPrefix of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComPathPrefix` - Pathprefix type assigned to the secret on creation.
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComPathPrefix

    @Nonnull public String getStorageAiSapComPathPrefix()
    Pathprefix type assigned to the secret on creation.
    Returns:
      storageAiSapComPathPrefix The storageAiSapComPathPrefix of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComPathPrefix

    public void setStorageAiSapComPathPrefix(@Nullable String storageAiSapComPathPrefix)
    Set the storageAiSapComPathPrefix of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComPathPrefix` - Pathprefix type assigned to the secret on creation.

  - ### storageAiSapComHdfsNameNode

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComHdfsNameNode(@Nullable String storageAiSapComHdfsNameNode)
    Set the storageAiSapComHdfsNameNode of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComHdfsNameNode` - name node of the HDFS file system
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComHdfsNameNode

    @Nonnull public String getStorageAiSapComHdfsNameNode()
    name node of the HDFS file system
    Returns:
      storageAiSapComHdfsNameNode The storageAiSapComHdfsNameNode of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComHdfsNameNode

    public void setStorageAiSapComHdfsNameNode(@Nullable String storageAiSapComHdfsNameNode)
    Set the storageAiSapComHdfsNameNode of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComHdfsNameNode` - name node of the HDFS file system

  - ### storageAiSapComHeaders

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComHeaders(@Nullable String storageAiSapComHeaders)
    Set the storageAiSapComHeaders of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComHeaders` - headers for webHDFS and other protocols
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComHeaders

    @Nonnull public String getStorageAiSapComHeaders()
    headers for webHDFS and other protocols
    Returns:
      storageAiSapComHeaders The storageAiSapComHeaders of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComHeaders

    public void setStorageAiSapComHeaders(@Nullable String storageAiSapComHeaders)
    Set the storageAiSapComHeaders of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComHeaders` - headers for webHDFS and other protocols

  - ### storageAiSapComContainerUri

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComContainerUri(@Nullable String storageAiSapComContainerUri)
    Set the storageAiSapComContainerUri of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComContainerUri` - container uri of azure storage
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComContainerUri

    @Nonnull public String getStorageAiSapComContainerUri()
    container uri of azure storage
    Returns:
      storageAiSapComContainerUri The storageAiSapComContainerUri of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComContainerUri

    public void setStorageAiSapComContainerUri(@Nullable String storageAiSapComContainerUri)
    Set the storageAiSapComContainerUri of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComContainerUri` - container uri of azure storage

  - ### storageAiSapComSubscriptionId

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComSubscriptionId(@Nullable String storageAiSapComSubscriptionId)
    Set the storageAiSapComSubscriptionId of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComSubscriptionId` - subscription id
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComSubscriptionId

    @Nonnull public String getStorageAiSapComSubscriptionId()
    subscription id
    Returns:
      storageAiSapComSubscriptionId The storageAiSapComSubscriptionId of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComSubscriptionId

    public void setStorageAiSapComSubscriptionId(@Nullable String storageAiSapComSubscriptionId)
    Set the storageAiSapComSubscriptionId of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComSubscriptionId` - subscription id

  - ### storageAiSapComTenantId

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComTenantId(@Nullable String storageAiSapComTenantId)
    Set the storageAiSapComTenantId of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComTenantId` - tenant id
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComTenantId

    @Nonnull public String getStorageAiSapComTenantId()
    tenant id
    Returns:
      storageAiSapComTenantId The storageAiSapComTenantId of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComTenantId

    public void setStorageAiSapComTenantId(@Nullable String storageAiSapComTenantId)
    Set the storageAiSapComTenantId of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComTenantId` - tenant id

  - ### storageAiSapComProjectId

    @Nonnull public BckndobjectStoreSecretStatusMetadata storageAiSapComProjectId(@Nullable String storageAiSapComProjectId)
    Set the storageAiSapComProjectId of this `BckndobjectStoreSecretStatusMetadata` instance and return the same instance.
    Parameters:
      `storageAiSapComProjectId` - project id of google cloud platform
    Returns:
      The same instance of this `BckndobjectStoreSecretStatusMetadata` class

  - ### getStorageAiSapComProjectId

    @Nonnull public String getStorageAiSapComProjectId()
    project id of google cloud platform
    Returns:
      storageAiSapComProjectId The storageAiSapComProjectId of this `BckndobjectStoreSecretStatusMetadata` instance.

  - ### setStorageAiSapComProjectId

    public void setStorageAiSapComProjectId(@Nullable String storageAiSapComProjectId)
    Set the storageAiSapComProjectId of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `storageAiSapComProjectId` - project id of google cloud platform

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndobjectStoreSecretStatusMetadata`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndobjectStoreSecretStatusMetadata` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndobjectStoreSecretStatusMetadata` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndobjectStoreSecretStatusMetadata` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndobjectStoreSecretStatusMetadata create()
    Create a new `BckndobjectStoreSecretStatusMetadata` instance. No arguments are required.